<?xml version="1.0" encoding="utf-8" ?> 
<SiteUrls>
<locations>
    <!-- 
        name: look up value
        path: site location
        exclude: should any path/link in this location be excluded from Url ReWriting?
        changes to exclude will require an application restart     
    -->
    <location name="themes" path="/themes/" exclude = "true" />
    <location name="message" path="/msgs/" exclude = "true" />
    <location name="forums" path="/forums/" />
    
    <location name="reader" path="/reader/" />
    <location name="roller" path="/roller/" />
    <location name="controlpanel" path="/controlpanel/" exclude = "true" />
    
    <location name="user" path="/user/"  exclude = "true"/>
    <location name="utility" path="/utility/" exclude = "true"/>
    <location name="freetextbox3" path="/freetextbox3/" exclude = "true"/>
	<location name="search" path="/search/" exclude = "false"/>
    <location name="content" path="/content/" />
    <location name="ink" path="/ink/" />
    <location name="members" path="/members/" physicalPath="/" />
    <location name="badges" path="/badges/" physicalPath="/" />
    <location name="tags" path="/tags/" physicalPath="/" />
    
    <location name="galleries" path="/photos/" />
    <location name="files" path="/files/" />
	<location name="weblogs" path="/blogs/" />
	<location name="common" path="/" />
</locations>

<transformers>
	<add key = "^" value = "&amp;" />
	<add key = "##blogdirectory##" value = "{0}/" />
	<add key = "##photogallerydirectory##" value = "{0}/" />
	<add key = "##filegallerydirectory##" value = "{0}/" />
	<add key = "##blogName##" value = "([\w\.-]+)" />
	<add key = "##photoGalleryName##" value = "([\w\.-]+)" />
	<add key = "##contentName##" value = "([\w\.-]+)" />
	<add key = "##fileGalleryName" value = "([\w\.-]+)" />
	<add key = "##userName##" value = "(.+)" />
	<add key = "//" value = "/" />
</transformers>

<navigation>
	<!--
	    name: look up value
	    resourceUrl: maps to url name in SiteUrls/Urls
	    resourceName: text for link. Maps to the language resource files
	    roles: Which users can view this link. 
	
	     You can also specify actual links here like the following:
			<link name="mylink" navigateUrl="http://www.mysite.com/" text="My Link" />
		If no roles attribute is given, it will assume it is for Everyone.  You can
		specify multiple roles by separating them with a comma (,). 
		-->
	<link name="home" resourceUrl="home" resourceName="home" roles="Everyone" />
	<link name="blog" resourceUrl="webloghome" resourceName="weblogs" roles="Everyone" applicationType = "Weblog" />
	<link name="forums" resourceUrl="forumshome" resourceName="forums" roles="Everyone" applicationType = "Forum" />
	<link name="gallery" resourceUrl="galleryhome" resourceName="photos" roles="Everyone" applicationType = "Gallery" />
	<link name="files" resourceUrl="fileshome" resourceName="files" roles="Everyone" applicationType = "FileGallery" />
	<link name="reader" resourceUrl="readerhome" resourceName="reader" applicationType = "FeedReader" type = "CommunityServer.Reader.Controls.ReaderMenuValidator, CommunityServer.Reader" />

	<link name="profile" resourceUrl="user_EditProfile_Clean" resourceName="user_myprofile" roles="Registered Users" />
	<link name="myBlogs" resourceUrl="blog_feedback" resourceName="myBlogs" roles="Registered Users" />
	<link name="myPhotos" resourceUrl="gallery_ControlPanel_Photos_ReviewCommentList" resourceName="myPhotos" roles="Registered Users" />
	
	<link name="controlpanel" resourceUrl="controlpanel" resourceName="controlpanel" roles="SystemAdministrator,BlogAdministrator,ForumsAdministrator,Moderator,GalleryAdministrator,FileAdministrator,ReaderAdministrator,MembershipAdministrator" />
</navigation>
<urls>

        <!-- 
        ****************
        Note, the ^ symbol is used in place of the & symbol used in the query string 
        the value is replace when the SiteUrls.config file is processed.
        ****************
        -->
        
    <!---  ROOTS -->
    <url name="home" location="common" path="" />
	<url name="forumshome" location="forums" path="default.aspx" />
	<url name="webloghome" location="weblogs" path="default.aspx" />
	<url name="galleryhome" location="galleries" path="default.aspx" />
    <!-- End Roots -->

	<!-- 
	// Global paths
	//  <url name="forum" location = "forums" path="ShowForum.aspx?ForumID={0}" />
	// <url name="forum" location = "forums" path="{0}/ShowForum.aspx"  pattern="/(\d+)/ShowForum.aspx" vanity="/ShowForum.aspx?ForumID=$1"/>
	-->
	<url name = "rssxsl" location = "utility" path = "FeedStylesheets/rss.xsl" />
	<url name = "atomxsl" location = "utility" path = "FeedStylesheets/atom.xsl" />
	<url name = "opmlxsl" location = "utility" path = "FeedStylesheets/opml.xsl" />
	<url name = "favicon" location = "common" path = "favicon.ico" />
	<url name="loadingImage" location="common" path = "utility/spinner.gif" />
	<url name="login" location = "common" path="login.aspx?ReturnUrl={0}" />
	<url name="login_WithInvitation" location="common" path="login.aspx?InvitationKey={0}" />
	<url name="login_clean" location = "common" path="login.aspx" />
	<url name="logout" location = "common" path="logout.aspx" />
	<url name="faq" location = "common" path="languages/{0}/docs/faq.aspx" />
	<url name="message" location = "common" path="Msgs/default.aspx?MessageID={0}" />
	<url name="message_modal" location = "common" path="Msgs/modalmessage.aspx?MessageID={0}" />
	<url name="forum" location = "forums" path="{0}/ShowForum.aspx"  pattern="(\d+)/ShowForum.aspx" vanity="ShowForum.aspx?ForumID=$1"/>
	<url name="telligentKb" location = "forums" path="{0}/ShowForum.aspx"  pattern="(\d+)/ShowForum.aspx" vanity="ShowForum.aspx?ForumID=$1"/>
	<url name="forumGroup" path="default.aspx?GroupID={0}" location = "forums" />
	<url name="forumSubscriptions" path="ForumSubscriptions.aspx" location = "forums" />
	<url name="forumPersonalize" path="default.aspx?personalize=true" location = "forums" />
	<url name="blankPage" location="common" path = "utility/blank.htm" />
	<url name="tags_home" location="tags" path="default.aspx" />
	<url name="tags_browse" location="tags" path="{0}/default.aspx" pattern="(.*?)/default.aspx" vanity="tags/default.aspx?Tags=$1" />


	<url name="ink" location = "ink" path="{0}.ashx?{1}"  pattern="(\d+)\.ashx" vanity="ink.ashx?InkID=$1"/>
	<url name="inkdll" location = "utility" path="ink/inkarea.dll" />
	
	<url name="contentselectormodal" location="common" path="utility/ContentSelector.aspx" />
	<url name="tagselectormodal" location="common" path="utility/TagSelector.aspx?TagEditor={0}" />
	
	<!--
	// Admin should provide the link for their site's terms of use agreement
	//
	-->
	<url name="termsOfUse" location = "forums" path="" />

        <!--
        // Search friendly
        //
        -->

	<!--
	// Private Messages
	//
	-->
	<url name="privateMessages" location = "user" path="PrivateMessages/default.aspx" />
	<url name="privateMessage" location = "forums" path="AddPost.aspx?ForumID=0^UserId={0}" />

	<!--
	// Favorites
	//
	-->
	<url name="favorite" location = "user" path="Favorites/AddFavorite.aspx?AppType={0}^FavType={1}^ItemId={2}" />

	<!--
	// Email
	//
	-->
	<url name="email_ToUser" location = "user" path="SendEmail.aspx?UserId={0}" />
	
	<!--
	// Emoticons
	//
	-->
	<url name="emoticons" location="common" path="" />

	<!--
	// Search
	//
	-->
	<url name="search" location = "search" path="" />
	<url name="search_Advanced" location = "search" path="" />
	<url name="search_ForTextEmpty" location = "search" path="SearchResults.aspx" />
	<url name="search_ForText" location = "search" path="SearchResults.aspx?{0}" />
	<url name="search_rss" location = "search" path="Searchrss.aspx?{0}" pattern="Searchrss.aspx" vanity="rss.ashx?" />
	<url name="search_ForUser" location = "user" path="Members.aspx?q={0}" />

	<!--
	// Posting
	//  <url name="post" location = "forums" path="ShowPost.aspx?PostID={0}" />
	//  <url name="post" location = "forums" path="{0}/ShowPost.aspx"  pattern="/(\d+)/showpost.aspx" vanity="/ShowPost.aspx?PostID=$1"/>
	
	
	<url name="post" location = "forums" path="ShowPost.aspx?PostID={0}" />
	<url name="post_Print" location = "forums" path="PrintPost.aspx?PostID={0}" />
	<url name="post_InPage" location = "forums" path="ShowPost.aspx?PostID={0}#{1}" />
	<url name="post_Paged" location = "forums" path="ShowPost.aspx?PageIndex={0}^PostID={1}#{2}" />	
	
	<url name="post_Attachment" location = "forums" path="PostAttachment.aspx?PostID={0}" />
	-->
	
	<url name="post_Paged" location = "forums" path = "{0}/{1}/ShowThread.aspx#{2}" pattern = "(\d+)/(\d+)/ShowThread.aspx" vanity="ShowThread.aspx?PageIndex=$1^PostID=$2" />
	<url name="post_PagedRaw" location = "forums" path = "{0}/{1}/ShowThread.aspx" pattern = "(\d+)/(\d+)/ShowThread.aspx" vanity="ShowThread.aspx?PageIndex=$1^PostID=$2" />
	<url name="post_Old" location = "forums" path = "{0}/ShowPost.aspx" pattern = "(\d+)/ShowPost.aspx" vanity="ShowThread.aspx?PostID=$1" />
	<url name="post" location = "forums" path = "thread/{0}.aspx" pattern = "thread/(\d+).aspx" vanity="ShowThread.aspx?PostID=$1" />
	<url name="post_WithTemporaryView" location = "forums" path = "thread/{0}.aspx?View={1}" pattern = "thread/(\d+).aspx" vanity="ShowThread.aspx?PostID=$1^View=$2" />
	<url name="post_InThreadedView" location="forums" path= "thread/{0}/{1}.aspx" pattern = "thread/(\d+)/(\d+).aspx" vanity="ShowPostInThreadedView.aspx?ThreadID=$1^PostID=$2" />
	<url name="post_Single" location = "forums" path = "post/{0}.aspx" pattern = "post/(\d+).aspx" vanity="ShowPost.aspx?PostID=$1" />
	<url name="post_Print" location = "forums" path = "{0}/PrintPost.aspx" pattern = "(\d+)/PrintPost.aspx" vanity="PrintPost.aspx?PostID=$1" />

	<url name="post_InPage" location = "forums" path = "{0}/ShowThread.aspx#{1}" pattern = "(\d+)/ShowThread.aspx" vanity="ShowThread.aspx?PostID=$1" />
	<url name="post_PermaLink" location = "forums" path = "permalink/{0}/{1}/ShowThread.aspx#{1}" pattern = "permalink/(\d+)/(\d+)/ShowThread.aspx" vanity="ShowThread.aspx?PostID=$1^PermaPostID=$2" />

	<url name="post_Reply" location = "forums" path="AddPost.aspx?PostID={0}" />
	<url name="post_QuickReply" location = "forums" path="QuickReply.aspx?PostID=" />
	
	
	<url name="post_Quote" location = "forums" path="AddPost.aspx?PostID={0}^Quote={1}" />
	<url name="post_Edit" location = "forums" path="EditPost.aspx?PostID={0}^ReturnUrl={1}" />
	<url name="post_Delete" location = "forums" path="DeletePost.aspx?PostID={0}^ReturnUrl={1}" />
	<url name="post_Create" location = "forums" path="AddPost.aspx?ForumID={0}" />
	<url name="post_Unanswered" location = "forums" path="TopicsNotAnswered.aspx?ForumID={0}" />
	<url name="post_Active" location = "forums" path="TopicsActive.aspx?ForumID={0}" />
	<url name="post_NotRead" location = "forums" path="TopicsNotRead.aspx?ForumID={0}" />
	<url name="post_Rating" location = "utility" path="PostRating.aspx?PostID={0}" />
	<url name="post_Attachment" location = "forums" path = "{0}/PostAttachment.aspx" pattern = "(\d+)/PostAttachment.aspx" vanity="PostAttachment.aspx?PostID=$1" />
	<url name="post_UploadAttachment" location="forums" path="UploadAttachment.aspx?SectionID={0}" />
    <url name="post_PendingModeration" location = "forums" path = "PostPendingModeration.aspx?ForumID={0}" />
    <url name="post_Videos" location = "forums" path="Videos.aspx?ForumID={0}" />
    <url name="thread_Navigation" location = "forums" path="ThreadNavigation.aspx?PostID={0}^NavType={1}" pattern="ThreadNavigation.aspx" vanity="ThreadNavigation.ashx?" />

	<!--
	// Help paths
	//
	-->
	<url name="help_ThreadIcons" location = "common" path="languages/{0}/docs/faq.aspx#58" />

	<!--
	// User paths
	//
	-->
	<url name="user" location = "user" path="Profile.aspx?UserID={0}" />
	<url name="user_ByName" location = "user" path="Profile.aspx?UserName={0}" />
	<url name="user_ByUserName" location = "members" path="{0}.aspx" pattern="##userName##.aspx" vanity="user/Profile.aspx?UserName=$1" />
	<url name="user_Banned" location = "user" path="BannedUser.aspx" />
	<url name="user_List" location = "user" path="Members.aspx" />
	<url name="user_Register" location = "user" path="CreateUser.aspx?ReturnUrl={0}" />
	<url name="user_Register_WithInvitation" location="user" path="CreateUser.aspx?InvitationKey={0}" />
	<url name="user_Invite" location="user" path="InviteUser.aspx" />
	<url name="user_AcceptInvitation" location="user" path="AcceptInvitation.aspx?InvitationKey={0}" />
	<url name="user_Register_clean" location = "user" path="CreateUser.aspx" />
	<url name="user_EditProfile" location = "user" path="EditProfile.aspx?ReturnUrl={0}" />
	<url name="user_EditProfile_Clean" location = "user" path="EditProfile.aspx" />
	<url name="user_MyForums" location = "forums" path="MyForums.aspx" />
	<url name="user_ChangePassword" location = "user" path="ChangePassword.aspx" />
	<url name="user_ChangePasswordAnswer" location = "user" path="ChangePasswordAnswer.aspx" />
	<url name="user_ForgotPassword" location = "user" path="EmailForgottenPassword.aspx" />
	<url name="user_Roles" location = "user" path="Members.aspx?search=1^r={0}" />
	<url name="user_BadgeByUserName" location = "badges" path="{0}.aspx" pattern="##userName##.aspx" vanity="user/Badge.aspx?UserName=$1" />

	<!--
	// Moderation paths
	//
	-->
	<url name="moderate" location = "controlpanel" path="Moderation/default.aspx" />
	<url name="moderate_Home" location = "controlpanel" path="Moderation/default.aspx" />
	<url name="moderate_Forum" location = "controlpanel" path="Moderation/ModerateForum.aspx?ForumID={0}" />
	<url name="moderate_Post_Redirect" location = "forums" path="ShowThread.aspx?PostID=" />
	<url name="moderate_Post_Delete" location = "controlpanel" path="Moderation/DeletePost.aspx?PostID={0}&amp;q=childposts^ReturnUrl={1}" />
	<url name="moderate_Post_Edit" location = "forums" path="EditPost.aspx?PostID={0}^ReturnUrl={1}" />
	<url name="moderate_Post_Move" location = "controlpanel" path="Moderation/MoveThread.aspx?PostID={0}^ReturnUrl={1}" />
	<url name="moderate_Threads_Move" location = "controlpanel" path="Moderation/MoveThreads.aspx?Threads={0}^ReturnUrl={1}" />
	<url name="moderate_Quick_Thread_Split" location = "controlpanel" path="Moderation/QuickSplitThread.aspx?PostID={0}" />
	<url name="moderate_Thread_Split" location = "controlpanel" path="Moderation/SplitThread.aspx?PostID={0}^ReturnUrl={1}" />
	<url name="moderate_Quick_Thread_Join" location = "controlpanel" path="Moderation/QuickJoinThread.aspx?PostID={0}" />
	<url name="moderate_Thread_Join" location = "controlpanel" path="Moderation/JoinThread.aspx?PostID={0}^ReturnUrl={1}" />
	<url name="moderation_Quick_History" location = "controlpanel" path="Moderation/QuickModerationHistory.aspx?PostID={0}" />
	<url name="moderation_History" location = "controlpanel" path="Moderation/ModerationHistory.aspx?PostID={0}^ReturnUrl={1}" />

	<!--
	// ControlPanel paths
	//
	-->
	<url name="controlpanel" location = "controlpanel" path="default.aspx" />
	<url name="controlpanel_loading" location = "controlpanel" path="loading.aspx?msg={0}" />

	<!--
	// Forum RSS paths
	//
	-->
	<url name="rss" location = "forums" path="rss.aspx?ForumID={0}^Mode={1}" pattern="rss.aspx" vanity="rss.ashx?" />
	<url name ="aggview" location = "common" path = "aggbug.aspx?PostID={0}" />
	<url name="rss_post" location = "forums" path="rss.aspx?ForumID={0}^PostID={1}" pattern="rss.aspx" vanity="rss.ashx?" />
	<url name="rss_threadless" location = "forums" path="rss.aspx?SectionID={0}^Threadless=1" pattern="rss.aspx" vanity="rss.ashx?" />
	<url name = "forumCommentRss" location = "forums" path="commentrss.aspx?SectionID={0}^PostID={1}" pattern="commentrss.aspx" vanity="commentrss.ashx?" />
	<url name="rss_aggregate" location = "forums" path="aggregaterss.aspx?Mode={0}" pattern="aggregaterss.aspx" vanity="aggregaterss.ashx?" />
	
	<!-- 
	// Forum Email/NNTP paths
	// 
	-->
	<url name="email_information" location="forums" path="email.aspx?SectionID={0}" pattern="email.aspx" />
	<url name="nntp_information" location="forums" path="nntp.aspx" />

	<!--
	// Who is Online
	//
	-->
	<url name="whoIsOnline" location = "user" path="ViewOnline.aspx" />

	<!-- RSS -->
	<url name="rssImage" location = "utility" path="images/rss.gif" />
	<url name="feedIcon" location = "utility" path="images/feedicon.png" />
	<url name="secureRssImage" location = "utility" path="images/securerss.gif" />
	<url name="secureRssImageDisabled" location = "utility" path="images/securerss_disabled.gif" />
	
	<!-- NNTP -->
	<url name="nntpImage" location="utility" path="images/nntp.gif" />
	
	<!-- Email -->
	<url name="emailImage" location="utility" path="images/email.gif" />
	
	<!-- 
	//Redirect
	//
	-->
	<url name="redirect" location = "utility" path="Redirect.aspx?U={0}" />
	
	<!--
	// Blogs
	//
	-->	
	
	<!-- Home Pages -->
	<url name = "weblogapplication" location = "weblogs" path="##blogdirectory##default.aspx" pattern="##blogName##/default.aspx" vanity="home.aspx?App=$1" />
	<url name = "weblogcontact" location = "weblogs" path="##blogdirectory##contact.aspx" pattern="##blogName##/contact.aspx" vanity="contact.aspx?App=$1" />
	<url name = "weblogabout" location = "weblogs" path="##blogdirectory##about.aspx" pattern="##blogName##/about.aspx" vanity="about.aspx?App=$1" />
	<url name = "weblogattachment" location = "weblogs" path="##blogdirectory##attachment/{1}.ashx" pattern="##blogName##/attachment/(\d+).ashx" vanity="attachment.ashx?App=$1&amp;postid=$2" />
	<url name = "weblogarchive" location = "weblogs" path="##blogdirectory##archive.aspx" pattern="##blogName##/archive.aspx" vanity="archive.aspx?App=$1" />
	<url name = "webloglinklist" location = "weblogs" path="##blogdirectory##linklist.aspx" pattern="##blogName##/linklist.aspx" vanity="linklist.aspx?App=$1" />

	<!-- Synidcation Feeds -->
	<url name = "weblogCommentRss" location = "weblogs" path="##blogdirectory##commentrss.aspx?PostID={1}" pattern="##blogName##/commentrss.aspx" vanity="commentrss.ashx?App=$1" />
	<url name = "weblogIndividualRss" location = "weblogs" path="##blogdirectory##rss.aspx" pattern="##blogName##/rss.aspx" vanity="rss.ashx?App=$1" />
	<url name = "weblogIndividualAtom" location = "weblogs" path="##blogdirectory##atom.aspx" pattern="##blogName##/atom.aspx" vanity="atom.ashx?App=$1" />
	<url name = "weblogCategoryRss" location = "weblogs" path="##blogdirectory##rss.aspx?CategoryID={1}" />
	<url name = "weblogTagsRss" location = "weblogs" path="##blogdirectory##rss.aspx?Tags={1}" />
	<url name = "weblogTagsRssAnd" location = "weblogs" path="##blogdirectory##rss.aspx?Tags={1}&amp;AndTags={2}" />
	<url name = "weblogPostRss" location = "weblogs" path="##blogdirectory##rss.aspx?PostID={1}" />
	<url name = "weblogRssComments" location = "weblogs" path = "##blogdirectory##rsscomments.aspx?PostID={1}" pattern = "##blogName##/rsscomments.aspx" vanity="rsscomments.ashx?App=$1" />
	<url name = "weblogEmailSubscription" location = "weblogs" path="##blogdirectory##emailsubscriptions.aspx" pattern="##blogName##/emailsubscriptions.aspx" vanity="emailsubscriptions.aspx?App=$1" />
	<url name = "weblogIndividualPrivateRss" location = "weblogs" path="##blogdirectory##privaterss.aspx" pattern="##blogName##/privaterss.aspx" vanity="rss.ashx?App=$1^Private=1" />
	<url name = "weblogIndividualPrivateAtom" location = "weblogs" path="##blogdirectory##privateatom.aspx" pattern="##blogName##/privateatom.aspx" vanity="atom.ashx?App=$1^Private=1" />

	<!-- Post Pages -->
	<url name = "weblogday"   location = "weblogs" path="##blogdirectory##archive/{1}/{2}/{3}.aspx" pattern="##blogName##/archive/(\d{4})/(\d{1,2})/(\d{1,2})\.aspx" vanity="day.aspx?App=$1&amp;y=$2&amp;m=$3&amp;d=$4" />
	<url name = "weblogmonth" location = "weblogs" path="##blogdirectory##archive/{1}/{2}.aspx"     pattern="##blogName##/archive/(\d{4})/(\d{1,2})\.aspx" vanity="month.aspx?App=$1&amp;y=$2&amp;m=$3&amp;d=1" />
	<url name = "weblogpostId" location = "weblogs" path="##blogdirectory##archive/{1}/{2}/{3}/{4}.aspx" pattern="##blogName##/archive/(\d{4})/(\d{1,2})/(\d{1,2})/(\d+)\.aspx" vanity="post.aspx?App=$1&amp;y=$2&amp;m=$3&amp;d=$4&amp;PostID=$5" />
	<url name = "weblogpostName" location = "weblogs" path="##blogdirectory##archive/{1}/{2}/{3}/{4}.aspx" pattern="##blogName##/archive/(\d{4})/(\d{1,2})/(\d{1,2})/([a-zA-Z0-9\-\._]*?)\.aspx" vanity="post.aspx?App=$1&amp;y=$2&amp;m=$3&amp;d=$4&amp;PostName=$5" />
	<url name = "weblogpostcategory" location = "weblogs" path="##blogdirectory##archive/category/{1}.aspx" pattern="##blogName##/archive/category/(\d+)\.aspx" vanity="postcategory.aspx?App=$1&amp;CT=BlogPost&amp;CategoryID=$2" />
	<url name = "weblogarticlecategory" location = "weblogs" path="##blogdirectory##articles/category/{1}.aspx" pattern="##blogName##/articles/category/(\d+)\.aspx" vanity="articlecategory.aspx?App=$1&amp;CT=BlogArticle&amp;CategoryID=$2" />

	<url name="weblogpostalltags" location="weblogs" path="##blogdirectory##archive/tags/default.aspx" pattern="##blogName##/archive/tags/default.aspx" vanity="tags.aspx?App=$1" />
	<url name="weblogposttags" location="weblogs" path="##blogdirectory##archive/tags/{1}/default.aspx" pattern="##blogName##/archive/tags/(.*?)/default.aspx" vanity="tags.aspx?App=$1&amp;Tags=$2" />

	<url name = "WeblogCommentsPage" location = "weblogs" path="##blogdirectory##comments/{1}.aspx" pattern = "##blogName##/comments/(\d+)\.aspx" vanity = "comments.aspx?App=$1&amp;PostID=$2" />
	<url name = "blog_customcss" location = "weblogs" path = "##blogdirectory##customcss.ashx" pattern="##blogName##/customcss.ashx" vanity="customcss.ashx?App=$1" />

  <!-- Article Pages -->
	<url name = "weblogarticleId"   location = "weblogs" path="##blogdirectory##pages/{1}.aspx" pattern="##blogName##/pages/(\d+)\.aspx" vanity="post.aspx?App=$1&amp;PostID=$2" />
	<url name = "weblogarticleName" location = "weblogs" path="##blogdirectory##pages/{1}.aspx" pattern="##blogName##/pages/([a-zA-Z0-9\-\._]*?)\.aspx" vanity="post.aspx?App=$1&amp;PostName=$2" />
	<url name = "weblogarticleId_old"   location = "weblogs" path="##blogdirectory##articles/{1}.aspx" pattern="##blogName##/articles/(\d+)\.aspx" vanity="post.aspx?App=$1&amp;PostID=$2" />
	<url name = "weblogarticleName_old" location = "weblogs" path="##blogdirectory##articles/{1}.aspx" pattern="##blogName##/articles/([a-zA-Z0-9\-\._]*?)\.aspx" vanity="post.aspx?App=$1&amp;PostName=$2" />

	<url name = "weblog_IndividualSearch" location = "weblogs" path = "##blogdirectory##search.aspx?q={1}&amp;p={2}" pattern = "##blogName##/search\.aspx" vanity = "blogsearch.aspx?App=$1" />
	<url name = "weblog_IndividualSearchPage" location = "weblogs" path = "##blogdirectory##search.aspx" pattern = "##blogName##/search\.aspx" vanity = "blogsearch.aspx?App=$1" />
	<url name = "weblog_AggregateSearch" location = "weblogs" path="search.aspx?q={0}&amp;PageIndex={1}" />	
	<url name = "weblog_AggregateSearchByGroupID" location = "weblogs" path="search.aspx?q={0}&amp;PageIndex={1}&amp;groupID={2}" />	
	
    <url name = "blog_TrackBack_Ping" location = "weblogs" path="##blogdirectory##trackback.aspx?PostID={1}" pattern = "##blogName##/trackback.aspx" vanity = "trackback.ashx?" />
    <url name = "blog_PingBackService" location = "weblogs" path="##blogdirectory##pingback.aspx" pattern = "##blogName##/pingback.aspx" vanity = "pingback.ashx?" />
	
    <url name = "weblog_GroupHome" location = "weblogs" path="default.aspx?GroupID={0}" />
    <url name = "weblog_GroupList" location = "weblogs" path="bloggers.aspx?GroupID={0}" />
    <url name = "blog_ShortLink" location = "weblogs" path = "{0}.aspx" pattern = "(\d+).aspx" vanity = "shortlink.ashx?PostID=$1" />
    <url name = "blog_ShortLink2" location = "weblogs" path = "{0}.aspx" pattern = "##blogName##/(\d+).aspx" vanity = "shortlink.ashx?PostID=$2" />
    
    <url name = "blog_aggregate_PostsByGroup" location = "weblogs" path = "default.aspx?GroupID={0}" />
    <url name = "blog_aggregate_Bloggers" location = "weblogs" path = "Bloggers.aspx?GroupID={0}" pattern = "Bloggers.aspx" vanity = "Bloggers.aspx?" />
    <url name = "blog_aggregate_Bloggers_default" location = "weblogs" path = "Bloggers.aspx" />
    <url name = "blog_aggregate_Syndication_default" location = "weblogs" path = "MainFeed.aspx" />
    <url name = "blog_aggregate_Syndication" location = "weblogs" path = "MainFeed.aspx?GroupID={0}^Type={1}" pattern = "MainFeed.aspx" vanity = "mainfeed.ashx?" />
    <url name = "blog_aggregate_Syndication_tags" location = "weblogs" path = "MainFeed.aspx?GroupID={0}^Tags={1}" pattern = "MainFeed.aspx" vanity = "mainfeed.ashx?" />
    <url name = "blog_aggregate_Syndication_tags_unfiltered" location = "weblogs" path = "MainFeed.aspx?GroupID={0}^Tags={1}" pattern = "RawMainFeed.aspx" vanity = "mainfeed.ashx?unfiltered=true" />
    <url name = "blog_aggregate_Opml" location = "weblogs" path = "Opml.aspx?GroupID={0}" pattern = "Opml.aspx" vanity = "opml.ashx?" />
    <url name = "blog_aggregate_Opml_default" location = "weblogs" path = "Opml.aspx" />

	<!-- Blog ControlPanel Pages -->
	<url name="blog_ControlPanel_Home" location = "controlpanel" path="blogs/" />
	<url name="blog_ControlPanel_Posts" location = "controlpanel" path="blogs/default.aspx?sectionid={0}" />
	<url name="blog_ControlPanel_Switch" location = "controlpanel" path="blogs/switch.aspx" />
	<url name="blog_ControlPanel_Switch_ReturnUrl" location="controlpanel" path="blogs/switch.aspx?ReturnURL={0}" />


	<url name = "blog_posteditor" location = "controlpanel" path="blogs/posteditor.aspx?SelectedNavItem=NewPost^sectionid={0}" />
	<url name = "blog_posteditor_appkey" location = "controlpanel" path="blogs/posteditor.aspx?SelectedNavItem=NewPost^app={0}" />
	<url name = "blog_posteditor_bpt" location = "controlpanel" path="blogs/posteditor.aspx?SelectedNavItem=NewPost^sectionid={0}^bpt={1}" />
	<url name = "blog_posteditor_bpt_appkey" location = "controlpanel" path="blogs/posteditor.aspx?SelectedNavItem=NewPost^app={0}^bpt={1}" />
	<url name = "blog_posteditor_postToEdit" location = "controlpanel" path="blogs/posteditor.aspx?SelectedNavItem=Posts^sectionid={0}^postid={1}" />
	<url name = "blog_posteditor_postToEdit_appkey" location = "controlpanel" path="blogs/posteditor.aspx?SelectedNavItem=Posts^app={0}^postid={1}" />
    <url name = "blog_referrals_to_post" location = "controlpanel" path="blogs/referrals.aspx?sectionid={0}^postid={1}" />
    <url name = "blog_referrals_to_post_appkey" location = "controlpanel" path="blogs/referrals.aspx?app={0}^postid={1}" />
	<url name = "blog_feedback" location = "controlpanel" path="blogs/comments.aspx?sectionid={0}" />
	<url name = "blog_feedback_action" location = "controlpanel" path="blogs/comments.aspx?sectionid={0}^action={1}^postids={2}" />
	<url name = "blog_feedback_appkey" location = "controlpanel" path="blogs/comments.aspx?App={0}" />
	<url name = "blog_feedback_post" location = "controlpanel" path="blogs/comments.aspx?sectionid={0}^postid={1}" />
	<url name = "blog_feedback_bpt" location = "controlpanel" path="blogs/comments.aspx?sectionid={0}^bpt={1}" />
	

	<!-- Blog Admin ControlPanel Pages -->
	<url name="blog_ControlPanel_AdminSectionEdit" location = "controlpanel" path="BlogAdmin/sectionedit.aspx" />
	<url name="blog_ControlPanel_AdminGroups" location = "controlpanel" path="BlogAdmin/Groups.aspx" />
	<url name="blog_ControlPanel_AdminBlogs" location = "controlpanel" path="BlogAdmin/Blogs.aspx" />
	<url name="blog_ControlPanel_AdminOrganize" location = "controlpanel" path="BlogAdmin/organize.aspx" />
	<url name="blog_ControlPanel_AdminDefaultPermissions" location = "controlpanel" path="BlogAdmin/DefaultPermissionList.aspx" />
	<url name="blog_ControlPanel_AdminGeneralOption" location = "controlpanel" path="BlogAdmin/Options/GeneralOptions.aspx" />
	<url name="blog_ControlPanel_AdminSkinOptions" location = "controlpanel" path="BlogAdmin/Options/SkinOptions.aspx" />
	<url name="blog_ControlPanel_InterestingPostOptions" location = "controlpanel" path="BlogAdmin/Options/InterestingPosts.aspx" />
	<url name="blog_ControlPanel_AdminManageGroups" location = "controlpanel" path="BlogAdmin/groupmanager.aspx" />
	<url name="blog_ControlPanel_AdminBlogFeeds" location = "controlpanel" path="BlogAdmin/BlogFeeds.aspx" />

	<!--
	//
	// Galleries
	//
	-->	
	
	<url name="gallery_RssCategory" location = "galleries" path="##photogallerydirectory##categories_rss.aspx" pattern="##photoGalleryName##/categories_rss.aspx" vanity="rss.ashx?App=$1&amp;Type=Categories" />
	<url name="gallery_RssGalleryPictures" location = "galleries" path="##photogallerydirectory##pictures_rss.aspx" pattern="##photoGalleryName##/pictures_rss.aspx" vanity="rss.ashx?App=$1&amp;Type=Pictures" />
    	<url name="gallery_aggregate_Syndication" location="galleries" path = "MainFeed.aspx?GroupID={0}" pattern = "MainFeed.aspx" vanity = "mainfeed.ashx?" />
	<url name="gallery_RssCategoryPictures" location = "galleries" path="##photogallerydirectory##{1}/pictures_rss.aspx" pattern="##photoGalleryName##/(\d+)/pictures_rss.aspx" vanity="rss.ashx?App=$1&amp;CategoryID=$2&amp;Type=Pictures" />
	<url name="gallery_TagsRss" location = "galleries" path="##photogallerydirectory##pictures_rss.aspx?Tags={1}" />
	<url name="gallery_TagsRssAnd" location = "galleries" path="##photogallerydirectory##pictures_rss.aspx?Tags={1}&amp;AndTags={2}" />
	<url name="gallery_CommentRss" location = "galleries" path="##photogallerydirectory##commentrss.aspx?PostID={1}" pattern="##photoGalleryName##/commentrss.aspx" vanity="commentrss.ashx?App=$1" />
	<url name="gallery_RssComments" location = "galleries" path="##photogallerydirectory##rsscomments.aspx?PostID={1}" pattern="##photoGalleryName##/rsscomments.aspx" vanity="rsscomments.ashx?App=$1" />
    <url name="gallery_TrackBack_Ping" location = "galleries" path="trackback.aspx?PostID={0}"  pattern = "trackback.aspx" vanity = "trackback.ashx?" />
	<url name="gallery_CustomCSS" location = "galleries" path = "customcss.aspx?App={0}" pattern = "customcss.aspx" vanity = "customcss.ashx?" />

	<!--SlideShow -->
	<url name="gallery_SlideShowGalleryPictures" location = "galleries" path="##photogallerydirectory##SlideShowPictures.aspx" pattern="##photoGalleryName##/SlideShowPictures.aspx" vanity="SlideShowPictures.ashx?App=$1" />
	<url name="gallery_SlideShowCategoryPictures" location = "galleries" path="##photogallerydirectory##{1}/SlideShowPictures.aspx" pattern="##photoGalleryName##/(\d+)/SlideShowPictures.aspx" vanity="SlideShowPictures.ashx?App=$1&amp;CategoryID=$2" />
	<url name="gallery_SlideShowPictures" location = "galleries" path="SlideShowPictures.aspx" pattern="SlideShowPictures.aspx" vanity="SlideShowPictures.ashx" />
	<url name="gallery_SlideShowPicturesScale" location = "galleries" path="SlideShowPictures{0}x{1}.aspx" pattern="SlideShowPictures(\d+)x(\d+).aspx" vanity="SlideShowPictures.ashxWidth=$1&amp;Height=$2" />
	<url name="gallery_SlideShowGalleryPicturesScale" location = "galleries" path="##photogallerydirectory##SlideShowPictures{1}x{2}.aspx" pattern="##photoGalleryName##/SlideShowPictures(\d+)x(\d+).aspx" vanity="SlideShowPictures.ashx?App=$1&amp;Width=$2&amp;Height=$3" />
	<url name="gallery_SlideShowCategoryPicturesScale" location = "galleries" path="##photogallerydirectory##{1}/SlideShowPictures{2}x{3}.aspx" pattern="##photoGalleryName##/(\d+)/SlideShowPictures(\d+)x(\d+).aspx" vanity="SlideShowPictures.ashx?App=$1&amp;CategoryID=$2&amp;Width=$3&amp;Height=$4" />
	<url name="gallery_ViewSlideshow_Gallery" location = "galleries" path="##photogallerydirectory##slideshow.aspx" pattern="##photoGalleryName##/slideshow.aspx" vanity="viewSlideshow.aspx?App=$1" />
	<url name="gallery_ViewSlideshow_Category" location = "galleries" path="##photogallerydirectory##{1}/slideshow.aspx" pattern="##photoGalleryName##/(\d+)/slideshow.aspx" vanity="viewSlideshow.aspx?App=$1&amp;CategoryID=$2" />
	<url name="gallery_ViewSlideshowPro_Gallery" location = "galleries" path="##photogallerydirectory##slideshowpro.aspx" pattern="##photoGalleryName##/slideshowpro.aspx" vanity="viewSlideshowPro.aspx?App=$1" />
	<url name="gallery_ViewSlideshowPro_Category" location = "galleries" path="##photogallerydirectory##{1}/slideshowpro.aspx" pattern="##photoGalleryName##/(\d+)/slideshowpro.aspx" vanity="viewSlideshowPro.aspx?App=$1&amp;CategoryID=$2" />
	<url name="gallery_ViewSlideshowPro" location = "galleries" path="##photogallerydirectory##slideshowpro.aspx" pattern="slideshowpro.aspx" vanity="SlideshowPro.aspx" />

	<!-- Picture Urls -->
	<url name="gallery_Watermark" location = "galleries" path="##photogallerydirectory##images/watermark.aspx" pattern="##photoGalleryName##/images/watermark.aspx" vanity="picture.ashx?App=$1&amp;ImageType=watermark" />
	<url name="gallery_Picture_TempAttachement" location = "galleries" path="##photogallerydirectory##{1}/TemporaryAttachment.aspx" pattern="##photoGalleryName##/([\w\.-]+)/TemporaryAttachment.aspx" vanity="picture.ashx?App=$1&amp;Guid=$2&amp;ImageType=temp" />
	<url name="gallery_PictureUrlScale" location = "galleries" path="##photogallerydirectory##images/{1}/{2}x{3}.aspx" pattern="##photoGalleryName##/images/(\d+)/(\d+)x(\d+).aspx" vanity="picture.ashx?App=$1&amp;PostID=$2&amp;Width=$3&amp;Height=$4" />
	<url name="gallery_PictureUrlType" location = "galleries" path="##photogallerydirectory##images/{1}/{2}.aspx" pattern="##photoGalleryName##/images/(\d+)/(thumb|secondarythumb|original).aspx" vanity="picture.ashx?App=$1&amp;PostID=$2&amp;ImageType=$3" />
	<url name="gallery_PictureUrlType_FriendlyName" location = "galleries" path="##photogallerydirectory##images/{1}/{2}.aspx" pattern="##photoGalleryName##/images/(thumb|secondarythumb|original)/([a-zA-Z0-9\-\._]*?).aspx" vanity="picture.ashx?App=$1&amp;ImageType=$2&amp;PostName=$3" />
	
	<!-- Public Pages -->
	<url name="gallery_ViewEmailSubscription" location = "galleries" path="##photogallerydirectory##emailsubscriptions.aspx" pattern="##photoGalleryName##/emailsubscriptions.aspx" vanity="emailsubscriptions.aspx?App=$1" />
	<url name="gallery_ViewAbout" location = "galleries" path="##photogallerydirectory##about.aspx" pattern="##photoGalleryName##/about.aspx" vanity="about.aspx?App=$1" />
	<url name="gallery_ViewGallery" location = "galleries" path="##photogallerydirectory##default.aspx" pattern="##photoGalleryName##/default.aspx" vanity="viewGallery.aspx?App=$1" />
	<url name="gallery_ViewCategory" location = "galleries" path="##photogallerydirectory##category{1}.aspx" pattern="##photoGalleryName##/category(\d+).aspx" vanity="viewCategory.aspx?App=$1&amp;CategoryID=$2" />
	<url name="gallery_ViewPicture_Gallery" location = "galleries" path="##photogallerydirectory##picture{1}.aspx" pattern="##photoGalleryName##/picture(\d+).aspx" vanity="viewPicture.aspx?App=$1&amp;PostID=$2" />
	<url name="gallery_ViewPicture_Category" location = "galleries" path="##photogallerydirectory##category{1}/picture{2}.aspx" pattern="##photoGalleryName##/category(\d+)/picture(\d+).aspx" vanity="viewPicture.aspx?App=$1&amp;CategoryID=$2&amp;PostID=$3" />
	<url name="gallery_ViewExif_Gallery" location = "galleries" path="##photogallerydirectory##exif/picture{1}.aspx" pattern="##photoGalleryName##/exif/picture(\d+).aspx" vanity="viewExif.aspx?App=$1&amp;PostID=$2" />
	<url name="gallery_ViewExif_Category" location = "galleries" path="##photogallerydirectory##category{1}/exif/picture{2}.aspx" pattern="##photoGalleryName##/category(\d+)/exif/picture(\d+).aspx" vanity="viewExif.aspx?App=$1&amp;CategoryID=$2&amp;PostID=$3" />
	<url name="gallery_ViewFile_Gallery" location = "galleries" path="##photogallerydirectory##file{1}.aspx" pattern="##photoGalleryName##/file(\d+).aspx" vanity="viewFile.aspx?App=$1&amp;PostID=$2" />
	<url name="gallery_ViewFile_Category" location = "galleries" path="##photogallerydirectory##category{1}/file{2}.aspx" pattern="##photoGalleryName##/category(\d+)/file(\d+).aspx" vanity="viewFile.aspx?App=$1&amp;CategoryID=$2&amp;PostID=$3" />
	<url name="gallery_ViewOrderPrints" location = "galleries" path="##photogallerydirectory##{1}/order.aspx" pattern="##photoGalleryName##/(\d+)/order.aspx" vanity="orderPrint.aspx?App=$1&amp;PostID=$2" />
	<url name="gallery_Search" location = "galleries" path="search.aspx?q={0}^f={1}" />
	<url name="gallery_ViewPicture_Gallery_FriendlyName" location = "galleries" path="##photogallerydirectory##{1}.aspx" pattern="##photoGalleryName##/([a-zA-Z0-9\-\._]*?).aspx" vanity="viewPicture.aspx?App=$1&amp;PostName=$2" />
	<url name="gallery_ViewPicture_Category_FriendlyName" location = "galleries" path="##photogallerydirectory##category{1}/{2}.aspx" pattern="##photoGalleryName##/category(\d+)/([a-zA-Z0-9\-\._]*?).aspx" vanity="viewPicture.aspx?App=$1&amp;CategoryID=$2&amp;PostName=$3" />
	<url name="gallery_AllTags" location="galleries" path="##photogallerydirectory##tags/default.aspx" pattern="##photoGalleryName##/tags/default.aspx" vanity="tags.aspx?App=$1" />
	<url name="gallery_ViewTags" location="galleries" path="##photogallerydirectory##tags/{1}/default.aspx" pattern="##photoGalleryName##/tags/(.*?)/default.aspx" vanity="tags.aspx?App=$1&amp;Tags=$2" />

	<!-- Gallery ControlPanel Pages -->
	<url name="gallery_ControlPanel_Photos" location = "controlpanel" path="photos/" />
	<url name="gallery_ControlPanel_Photos_Gallery" location = "controlpanel" path="photos/?sectionid={0}" />
	<url name="gallery_ControlPanel_Photos_Category" location = "controlpanel" path="photos/?sectionid={0}&amp;categoryid={1}" />
	<url name="gallery_ControlPanel_Photos_NewPost" location = "controlpanel" path="photos/posteditor.aspx" />
	<url name="gallery_ControlPanel_Photos_NewPost_Gallery" location = "controlpanel" path="photos/posteditor.aspx?sectionid={0}" />
	<url name="gallery_ControlPanel_Photos_NewPost_Category" location = "controlpanel" path="photos/posteditor.aspx?sectionid={0}&amp;categoryid={1}" />
	<url name="gallery_ControlPanel_Photos_NewPost_ReturnURL" location = "controlpanel" path="photos/posteditor.aspx?returnUrl={0}" />
	<url name="gallery_ControlPanel_Photos_NewPost_Gallery_ReturnURL" location = "controlpanel" path="photos/posteditor.aspx?sectionid={0}&amp;returnUrl={1}" />
	<url name="gallery_ControlPanel_Photos_NewPostModal_Gallery_ReturnURL" location = "controlpanel" path="photos/modalQuickAdd.aspx?sectionid={0}&amp;returnUrl={1}" />
	<url name="gallery_ControlPanel_Photos_NewPost_Category_ReturnURL" location = "controlpanel" path="photos/posteditor.aspx?sectionid={0}&amp;categoryid={1}&amp;returnUrl={2}" />
	<url name="gallery_ControlPanel_Photos_EditPost_ReturnURL" location = "controlpanel" path="photos/posteditor.aspx?postid={0}&amp;returnUrl={1}" />
	<url name="gallery_ControlPanel_Photos_EditPost_Gallery_ReturnURL" location = "controlpanel" path="photos/posteditor.aspx?sectionid={0}&amp;postid={1}&amp;returnUrl={2}" />
	<url name="gallery_ControlPanel_Photos_EditPost_Category_ReturnURL" location = "controlpanel" path="photos/posteditor.aspx?sectionid={0}&amp;categoryid={1}&amp;postid={2}&amp;returnUrl={3}" />
	<url name="gallery_ControlPanel_Photos_PostList" location = "controlpanel" path="photos/postlist.aspx" />
	<url name="gallery_ControlPanel_Photos_CategoryList_Gallery" location = "controlpanel" path="photos/categorylist.aspx?sectionid={0}" />
	<url name="gallery_ControlPanel_Photos_CategoryList_Category" location = "controlpanel" path="photos/categorylist.aspx?sectionid={0}&amp;categoryid={1}" />
	<url name="gallery_ControlPanel_Photos_CategoryList" location = "controlpanel" path="photos/categorylist.aspx" />
	<url name="gallery_ControlPanel_Photos_CategoryForm" location = "controlpanel" path="photos/categoryform.aspx?sectionid={0}&amp;categoryid={1}" />
	<url name="gallery_ControlPanel_Photos_CategoryForm_New" location = "controlpanel" path="photos/categoryform.aspx?sectionid={0}&amp;categoryid={1}&amp;parentid={2}" />
	<url name="gallery_ControlPanel_Photos_CategoryManager" location = "controlpanel" path="photos/categorymanager.aspx" />
	<url name="gallery_ControlPanel_Photos_CategoryManager_Gallery" location = "controlpanel" path="photos/categorymanager.aspx?sectionid={0}" />
	<url name="gallery_ControlPanel_Photos_CategoryManager_Category" location = "controlpanel" path="photos/categorymanager.aspx?sectionid={0}&amp;categoryid={1}" />
	<url name="gallery_ControlPanel_Photos_CommentList" location = "controlpanel" path="photos/commentlist.aspx" />
	<url name="gallery_ControlPanel_Photos_ReviewCommentList" location = "controlpanel" path="photos/commentlist.aspx?SelectedNavItem=ReviewComments" />
	<url name="gallery_ControlPanel_Photos_AboutOptions" location = "controlpanel" path="photos/options/aboutoptions.aspx" />
	<url name="gallery_ControlPanel_Photos_CategorizationOptions" location = "controlpanel" path="photos/options/categorizationoptions.aspx" />
	<url name="gallery_ControlPanel_Photos_DescOptions" location = "controlpanel" path="photos/options/descoptions.aspx" />
	<url name="gallery_ControlPanel_Photos_PictureOptions" location = "controlpanel" path="photos/options/pictureoptions.aspx" />
	<url name="gallery_ControlPanel_Photos_PostOptions" location = "controlpanel" path="photos/options/postoptions.aspx" />
	<url name="gallery_ControlPanel_Photos_DefaultPostSettings" location = "controlpanel" path="photos/options/defaultpostsettings.aspx" />
	<url name="gallery_ControlPanel_Photos_SkinOptions" location = "controlpanel" path="photos/options/skinoptions.aspx" />
	<url name="gallery_ControlPanel_Photos_SyndicationOptions" location = "controlpanel" path="photos/options/syndicationoptions.aspx" />
	<url name="gallery_ControlPanel_Photos_Switch" location = "controlpanel" path="photos/switch.aspx" />
	<url name="gallery_ControlPanel_Photos_Referrals" location = "controlpanel" path="photos/referrals.aspx" />
	<url name="gallery_ControlPanel_Photos_PostReferrals" location = "controlpanel" path="photos/referrals.aspx?pid={0}" />
	<url name="gallery_ControlPanel_Photos_Switch_ReturnUrl" location = "controlpanel" path="photos/switch.aspx?ReturnURL={0}" />

	<!-- Gallery ControlPanel Pages - Admin -->
	<url name="gallery_ControlPanel_PhotosAdmin" location = "controlpanel" path="photoadmin/default.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_NewGallery" location = "controlpanel" path="photoadmin/SectionEdit.aspx?tab=gallery" />
	<url name="gallery_ControlPanel_PhotosAdmin_GroupList" location = "controlpanel" path="photoadmin/grouplist.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_ManageGroups" location = "controlpanel" path="photoadmin/groupmanager.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_GalleryList" location = "controlpanel" path="photoadmin/gallerylist.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_DefatulPermissionList" location = "controlpanel" path="photoadmin/DefaultPermissionList.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_Options" location = "controlpanel" path="photoadmin/options/default.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_GeneralOptions" location = "controlpanel" path="photoadmin/options/generaloptions.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_PictureOptions" location = "controlpanel" path="photoadmin/options/photooptions.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_SkinOptions" location = "controlpanel" path="photoadmin/options/skinoptions.aspx" />
	<url name="gallery_ControlPanel_PhotosAdmin_Quotas" location = "controlpanel" path="photoadmin/options/quotas.aspx" />



	<!-- Content -->
	
	<url name="contentpart_articlename" location="content" path="{0}.aspx" pattern="##contentName##\.aspx" vanity="../utility/showcontent.aspx?contentname=$1" />
	<url name = "contentpart_EditContent" location="utility" path = "editcontent.aspx" />
	<url name = "contentpart_EditAd" location="utility" path = "editad.aspx" />
	<url name = "contentpart_formatted_EditContent" location="utility" path = "editcontent.aspx?contentid={0}^contentname={1}" />
	<url name = "contentpart_editarticle" location="utility" path="EditArticle.aspx?contentid={0}" />
	<url name = "contentpart_newarticle" location="utility" path="EditArticle.aspx" />
		<!-- File Gallery URLS -->
    <url name="fileshome" location = "files" path="default.aspx" />

	<!-- Reader URLs -->
	<url name="readerhome" location="reader" path="default.aspx" />
	
	<!-- Roller URLs -->
	<url name="rollerhome" location="roller" path="default.aspx" />
	<url name="rollerhome_Group" location="roller" path="default.aspx?GroupID={0}" />
	
	<!-- Public Pages -->
	<url name="files_ViewFolderGroup" location = "files" path="##filegallerydirectory##default.aspx" pattern="(\d+)/default.aspx" vanity="viewFolderGroup.aspx?GroupID=$1" />
	<url name="files_ViewFolder" location = "files" path="folders/##filegallerydirectory##default.aspx" pattern="folders/##fileGalleryName/default.aspx" vanity="viewFolder.aspx?App=$1" />
	<url name="files_ViewCategory" location = "files" path="folders/##filegallerydirectory##category{1}.aspx" pattern="folders/##fileGalleryName/category(\d+).aspx" vanity="viewCategory.aspx?App=$1&amp;CategoryID=$2" />
	<url name="files_ViewEntry" location = "files" path="folders/##filegallerydirectory##entry{1}.aspx" pattern="folders/##fileGalleryName/entry(\d+).aspx" vanity="viewEntry.aspx?App=$1&amp;PostID=$2" />
	<url name="files_EntryAdmin" location = "files" path="EntryAdmin.aspx?App={0}&amp;CategoryID={1}&amp;PostID={2}"  />
	<url name="files_DeleteEntry" location = "files" path="DeleteEntry.aspx?App={0}&amp;CategoryID={1}&amp;PostID={2}"  />
	<url name="files_Download" location = "files" path="folders/##filegallerydirectory##download.aspx" pattern="folders/(\d+)/download.aspx" vanity="download.aspx?PostID=$1" />
	<url name="files_Rss" location = "files" path="folders/##filegallerydirectory##rss.aspx" pattern="folders/##fileGalleryName/rss.aspx" vanity="rss.ashx?App=$1" />
	<url name="files_Rss_Tags" location = "files" path="folders/##filegallerydirectory##rss.aspx?Tags={1}" pattern="folders/##fileGalleryName/rss.aspx" vanity="rss.ashx?App=$1" />
	<url name="files_Rss_TagsAnd" location = "files" path="folders/##filegallerydirectory##rss.aspx?Tags={1}&amp;AndTags={2}" pattern="folders/##fileGalleryName/rss.aspx" vanity="rss.ashx?App=$1" />
	<url name="files_TopDownloadsRss" location = "files" path="folders/##filegallerydirectory##TopDownloads/rss.aspx" pattern="folders/##fileGalleryName/TopDownloads/rss.aspx" vanity="rss.ashx?downloads=true&amp;App=$1" />
	<url name="files_UploadFile" location="files" path="UploadFile.aspx?SectionID={0}" />
	<url name="files_aggregate_TopDownloadsSyndication" location="files" path = "TopDownloads/MainFeed.aspx?GroupID={0}" pattern = "TopDownloads/MainFeed.aspx" vanity = "mainfeed.ashx?downloads=true" />
	<url name="files_aggregate_Syndication" location="files" path = "MainFeed.aspx?GroupID={0}" pattern = "MainFeed.aspx" vanity = "mainfeed.ashx?" />
	
	<url name="files_ViewFolder_AllTags" location="files" path="folders/##filegallerydirectory##/tags/default.aspx" pattern="folders/##fileGalleryName/tags/default.aspx" vanity="tags.aspx?App=$1" />
	<url name="files_ViewFolder_Tags" location="files" path="folders/##filegallerydirectory##/tags/{1}/default.aspx" pattern="folders/##fileGalleryName/tags/(.*?)/default.aspx" vanity="tags.aspx?App=$1&amp;Tags=$2" />


	<!-- Redirects to support 2.0 URLs -->	
	<url name="files_ViewFolder_old" location = "files" path="##filegallerydirectory##{1}/default.aspx" pattern="(\d+)/##fileGalleryName/default.aspx" vanity="viewFolder.aspx?App=$2&amp;GroupID=$1" />
	<url name="files_ViewCategory_old" location = "files" path="##filegallerydirectory##{1}/category{2}.aspx" pattern="(\d+)/##fileGalleryName/category(\d+).aspx" vanity="viewCategory.aspx?App=$2&amp;CategoryID=$3&amp;GroupID=$1" />
	<url name="files_ViewEntry_old" location = "files" path="##filegallerydirectory##{1}/entry{2}.aspx" pattern="(\d+)/##fileGalleryName/entry(\d+).aspx" vanity="viewEntry.aspx?App=$2&amp;PostID=$3&amp;GroupID=$1" />
	<url name="files_Download_old" location = "files" path="##filegallerydirectory##download.aspx" pattern="(\d+)/download.aspx" vanity="download.aspx?PostID=$1" />
	<url name="files_Rss_old" location = "files" path="##filegallerydirectory##{1}/rss.aspx" pattern="(\d+)/##fileGalleryName/rss.aspx" vanity="rss.ashx?App=$2&amp;GroupID=$1" />
	<url name="files_TopDownloadsRss_old" location = "files" path="##filegallerydirectory##{1}/TopDownloads/rss.aspx" pattern="(\d+)/##fileGalleryName/TopDownloads/rss.aspx" vanity="rss.ashx?downloads=true&amp;App=$2&amp;GroupID=$1" />


	<!-- Files Control Panel -->
	<url name="files_ControlPanel_AdminFolderEdit" location="controlpanel" path="FileAdmin/CreateEditFolder.aspx" />
	<url name="files_ControlPanel_AdminGroups" location="controlpanel" path="FileAdmin/FolderGroups.aspx" />
	<url name="files_ControlPanel_ManageGroups" location="controlpanel" path="FileAdmin/FolderGroupManager.aspx" />
	<url name="files_ControlPanel_AdminFolders" location="controlpanel" path="FileAdmin/Folders.aspx" />
	<url name="files_ControlPanel_AdminDefaultPermissions" location="controlpanel" path="FileAdmin/DefaultPermissions.aspx" />

	<!-- File Manager Admin Pages -->

	
	<!-- Settings Control Panel Pages -->
	<url name="settings_ControlPanel_Home" location = "controlpanel" path="Setup.aspx" />
	<url name="settings_ControlPanel_Reporting" location = "controlpanel" path="Reporting/default.aspx" />
	<url name="settings_ControlPanel_ControlPanel" location = "controlpanel" path="settings.aspx" />
	<url name="settings_ControlPanel_General" location="controlpanel" path="Settings/General.aspx" />
	<url name="settings_ControlPanel_SiteContent" location="controlpanel" path="Settings/SiteContent.aspx" />
	<url name="settings_ControlPanel_DisableApplications" location="controlpanel" path="Settings/DisableApplications.aspx" />
	<url name="settings_ControlPanel_ContactInfo" location="controlpanel" path="Settings/ContactInfo.aspx" />
	<url name="settings_ControlPanel_Rss" location="controlpanel" path="Settings/Rss.aspx" />
	<url name="settings_ControlPanel_Post" location="controlpanel" path="Settings/Posts.aspx" />
	<url name="settings_ControlPanel_DateTime" location="controlpanel" path="Settings/DateTime.aspx" />
	<url name="settings_ControlPanel_Email" location="controlpanel" path="Settings/Email.aspx" />
	<url name="settings_ControlPanel_PointSystem" location="controlpanel" path="Settings/PointSystem.aspx" />
	<url name="settings_ControlPanel_IPAddressTracking" location="controlpanel" path="Settings/IPAddressTracking.aspx" />

	<!-- Forums Control Panel Pages -->
	<url name="forums_ControlPanel_NewForum" location = "controlpanel" path="forums/SectionEdit.aspx" />
	<url name="forums_ControlPanel_NewGroup" location = "controlpanel" path="forums/GroupEdit.aspx" />
	<url name="forums_ControlPanel_EditForum" location = "controlpanel" path="forums/SectionEdit.aspx?SectionID={0}" />
	<url name="forums_ControlPanel_EditGroup" location = "controlpanel" path="forums/GroupEdit.aspx?GroupID={0}" />
	<url name="forums_ControlPanel_ForumList" location = "controlpanel" path="forums/Forums.aspx" />
	<url name="forums_ControlPanel_ForumListByGroup" location = "controlpanel" path="forums/Forums.aspx?GroupID={0}" />
	<url name="forums_ControlPanel_GroupList" location = "controlpanel" path="forums/ForumGroups.aspx" />
	<url name="forums_ControlPanel_ManageForums" location = "controlpanel" path="forums/GroupManager.aspx" />
	<url name="forums_ControlPanel_DefaultPermissionList" location = "controlpanel" path="forums/DefaultPermissionList.aspx" />
	<url name="forums_ControlPanel_PostOptions" location = "controlpanel" path="forums/options/PostOptions.aspx" />
	<url name="forums_ControlPanel_ManageRanks" location = "controlpanel" path="forums/ManageRanks.aspx" />

	<!-- Membership Control Panel Pages -->
	<url name="membership_ControlPanel_Home" location = "controlpanel" path="membership/default.aspx?tab=SearchMembers" />
	<url name="membership_ControlPanel_UserAdd" location = "controlpanel" path="membership/UserAdd.aspx" />
	<url name="membership_ControlPanel_UserEdit" location = "controlpanel" path="membership/UserEdit.aspx?UserID={0}" />
	<url name="membership_ControlPanel_UserDelete" location = "controlpanel" path="membership/UserDelete.aspx?UserID={0}" />
	<url name="membership_ControlPanel_UserAddedMessage" location = "controlpanel" path="membership/default.aspx?UserID={0}&amp;tab=SearchMembers" />
	<url name="membership_ControlPanel_UserRoles" location = "controlpanel" path="membership/UserRoles.aspx?UserID={0}" />
	<url name="membership_ControlPanel_UserName" location = "controlpanel" path="membership/UserName.aspx?UserID={0}" />
	<url name="membership_ControlPanel_UserPassword" location = "controlpanel" path="membership/UserPassword.aspx?UserID={0}" />
	<url name="membership_ControlPanel_UsersBrowse" location = "controlpanel" path="membership/membersearch.aspx?tab=BrowseMembers" />
	<url name="membership_ControlPanel_UserSearch_AccountStatus" location = "controlpanel" path="membership/MemberSearch.aspx?tab=SearchMembers&amp;s={0}" />
	<url name="membership_ControlPanel_UserSearch_Role" location = "controlpanel" path="membership/MemberSearch.aspx?tab=SearchMembers&amp;r={0}" />
	<url name="membership_ControlPanel_Roles" location = "controlpanel" path="membership/Roles.aspx" />
	<url name="membership_ControlPanel_RoleAdd" location = "controlpanel" path="membership/RoleEdit.aspx" />
	<url name="membership_ControlPanel_RoleEdit" location = "controlpanel" path="membership/RoleEdit.aspx?RoleID={0}" />


	<!-- System Tools Control Panel Pages -->
	<url name="tools_ControlPanel_Home" location = "controlpanel" path="tools/default.aspx" />
</urls>
</SiteUrls>
